JaasSimpleAuthenticationProvider (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jaas.JaasSimpleAuthenticationProvider class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jaas
Class JaasSimpleAuthenticationProvider

    java.lang.Object
      org.mule.security.AbstractSecurityProvider
          org.mule.module.jaas.JaasSimpleAuthenticationProvider

All Implemented Interfaces:
  Initialisable, NamedObject, SecurityProvider

    public class JaasSimpleAuthenticationProvider

extends AbstractSecurityProvider

This is the Provider for Mule's Jaas Security.

Nested Class Summary
`static class` | `JaasSimpleAuthenticationProvider.JaasConfig` The JaasConfig class extends the Jaas Configuration in order to be able to configure the jaas security programmatically.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`JaasSimpleAuthenticationProvider()`

Method Summary
`Authentication` | `authenticate(Authentication authentication)` The authenticate method first creates the jaas Login Context using the callback handler and the name of the class or directory to prtect.
`protected void` | `doInitialise()` The initialise method checks whether a jaas configuration file exists.
`String` | `getCredentials()` Gets the user's credentials, i.e.
`String` | `getLoginConfig()` Gets the Login Configuration
`String` | `getLoginContextName()` Gets the Login Context Name
`String` | `getLoginModule()` Gets the login module name
`void` | `setCredentials(String credentials)` Sets the user's credentials.
`void` | `setLoginConfig(String loginConfig)` Sets the login Configuration
`void` | `setLoginContextName(String loginContextName)` Sets the Login Context name
`void` | `setLoginModule(String loginModule)` sets the login module name

Methods inherited from class org.mule.security.AbstractSecurityProvider
`createSecurityContext, getName, getSecurityContextFactory, initialise, setName, setSecurityContextFactory, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaasSimpleAuthenticationProvider

    public JaasSimpleAuthenticationProvider()

Method Detail

### setLoginConfig

    public final void setLoginConfig(String loginConfig)

  Sets the login Configuration

  Parameters:
    `loginConfig` -

### getLoginConfig

    public final String getLoginConfig()

  Gets the Login Configuration

  Returns:
    loginConfig

### setLoginContextName

    public final void setLoginContextName(String loginContextName)

  Sets the Login Context name

  Parameters:
    `loginContextName` -

### getLoginContextName

    public final String getLoginContextName()

  Gets the Login Context Name

  Returns:
    loginContextName

### getCredentials

    public final String getCredentials()

  Gets the user's credentials, i.e. the username and password

  Returns:
    credentials

### setCredentials

    public final void setCredentials(String credentials)

  Sets the user's credentials.

  Parameters:
    `credentials` -

### getLoginModule

    public final String getLoginModule()

  Gets the login module name

  Returns:
    loginModule

### setLoginModule

    public final void setLoginModule(String loginModule)

  sets the login module name

  Parameters:
    `loginModule` -

### authenticate

    public final Authentication authenticate(Authentication authentication)
                                      throws SecurityException

  The authenticate method first creates the jaas Login Context using the callback handler and the name of the class or directory to prtect. If the Login Context is successfully created, it will then attempt to login.

  Returns:
    Authentication
  Throws:
    `SecurityException`

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  The initialise method checks whether a jaas configuration file exists. If it exists, it will call the configureJaas() method to create the context URL of that file. If such a configuration file is not present, it will then try to configure jaas programmatically. It also attempts to create the JaasSecurityContextFactory.

  Overrides:
    `doInitialise` in class `AbstractSecurityProvider`
  Throws:
    `InitialisationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.